*{
    margin: 0;
    padding: 0;
    box-sizing: content-box;
    color: white;
}


body {
    background-image: url('../media/space.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 100dvh;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 600;

}

body::before{
    background: rgb(0, 0, 0, 0.15);
    backdrop-filter: blur(15px);
    position: absolute;
    content: "";
    width: 100%;
    height: 100dvh;
}




main {
z-index: 1;
background: linear-gradient(to top, rgb(0,0,0, 0.15), rgb(
    255,255, 255,0.15
 ));
    border-radius: 12px;
    
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    backdrop-filter: blur(100px);
    padding: 20px;
}
#header{
    display: flex;
    width: 235px;
    justify-content: space-between;
    margin-bottom: 30px;
    align-items: center;
}

#header h3{
    font-size: 23px;
    font-weight: bold;
    color: #f4ebf7df;
}

#header .player{
    background:#17122a ;
    width: 60px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    font-weight: bold;
    cursor: pointer;
    border-radius: 12px;
    opacity: 0.5;
    transition: 0.3s;
    border: solid 4px #17122a;
}

#header .player:hover{
    border: solid 4px #6152a98b; 
}

#header .player-active {
    opacity: 1;
    border: solid 4px  #6e63a88b;
}

#header #xPlayerDisplay{
    color: #df76f9;
}

#header #oPlayerDisplay{
    color: #1d50f8;
}

#board{
    display: grid;
    grid-template-columns: repeat(3, 70px);
    grid-template-rows: repeat(3, 70px);
    gap: 12px;
}


#board .cell{
    background: #241b4989;
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 36px;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}
#board .cell:hover{
    background: #5b528b8b;
}

#restartBtn{
    margin-top: 30px;
    width: 235px;
    background: #281f49;
    padding-top: 8px;
    padding-bottom: 8px;
    border: none;
    border-radius: 12px;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
    visibility: hidden;
}

#restartBtn:hover{
    background: #5b528b8b;
}